<?php

class CMSMenuCacheManager
{
    public static function clearCache(sfEvent $event)
    {
        $menu = $event->getSubject();
        $frontend_cache_dir = sfConfig::get('sf_cache_dir').DIRECTORY_SEPARATOR.'frontend'.DIRECTORY_SEPARATOR.sfConfig::get('sf_environment').DIRECTORY_SEPARATOR.'template';
        $cache = new sfFileCache(array('cache_dir' => $frontend_cache_dir)); // Use the same settings as the ones defined in the frontend factories.yml
        $internal_name = $menu->get('internal_name') ?: $menu->getParent()->get('internal_name');
        $cache->removePattern('*/all/sf_cache_partial/cms_page/_menu/sf_cache_key/'.$internal_name);
    }
}