<?php

class CMSPageFinder
{
    private $finder;

    public function __construct()
    {
        $this->finders = array(
            array(Doctrine::getTable('CMSPage'), 'findPage'),
            array(Doctrine::getTable('CMSPageRedirect'), 'findPage')
        );
    }

    public function find($url, $domain)
    {
        foreach ($this->finders as $callback)
        {
            if ($page = call_user_func($callback, $domain, $url))
            {
                return $page;
            }
        }
    }
}