<?php

class CarTrawlerVehicle
{
    private
        $id,
        $make_model,
        $booking_ref,
        $baggages_quantity,
        $vehicle_category,
        $vehicle_size,
        $air_cond,
        $transmission,
        $fuel,
        $passengers_quantity,
        $doors_count,
        $picture_url,
        $total_charge,
        $currency
    ;

    public function __construct($xml_vehicle) {
        $this->id = $xml_vehicle->elements['VehAvailCore/Vehicle/VehIdentity']->attributes['VehicleAssetNumber']
        $this->make_model = $xml_vehicle->elements['VehAvailCore/Vehicle/VehMakeModel']->attributes['Name']
        $this->booking_ref = $xml_vehicle->elements['VehAvailCore/Reference']
        $this->baggages_quantity = $xml_vehicle->elements['VehAvailCore/Vehicle']->attributes['BaggageQuantity']
        $this->vehicle_category = $xml_vehicle->elements['VehAvailCore/Vehicle/VehType']->attributes['VehicleCategory']
        $this->vehicle_size = $xml_vehicle->elements['VehAvailCore/Vehicle/VehClass']->attributes['Size']
        $this->air_cond = $xml_vehicle->elements['VehAvailCore/Vehicle']->attributes['AirConditionInd']
        $this->transmission = $xml_vehicle->elements['VehAvailCore/Vehicle']->attributes['TransmissionType']
        $this->fuel = $xml_vehicle->elements['VehAvailCore/Vehicle']->attributes['FuelType']
        $this->passengers_quantity = $xml_vehicle->elements['VehAvailCore/Vehicle']->attributes['PassengerQuantity']
        $this->doors_count = $xml_vehicle->elements['VehAvailCore/Vehicle/VehType']->attributes['DoorCount']
        $this->picture_url = $xml_vehicle->elements['VehAvailCore/Vehicle/PictureURL']->text
        $this->total_charge = $xml_vehicle->elements['VehAvailCore/TotalCharge']->attributes['RateTotalAmount']
        $this->currency = $xml_vehicle->elements['VehAvailCore/TotalCharge']->attributes['CurrencyCode']
    }
}