<?php
/**
 * Implements SMS code confirmation
 * 
 * @package transfercar
 * @subpackage form
 */

class confirmSmsCodeForm extends transfercarForm
{
    // Configure form
    public function configure()
    {
        // set widgets - here we have only one text field
        $this->setWidgets(array(
                'code' => new sfWidgetFormInput()
            )); 
        $this->widgetSchema->setNameFormat('confirm_code[%s]');
        $this->setOption('allow_extra_fields', true);

        // set label
        $this->widgetSchema->setLabels(array(
                'code' => 'Confirmation code:'
            ));
            
        // validators
        $this->setValidators(array(
                'code' => new myValidatorSmsCode(array(),
                    array('invalid' => 'Bad code'))
            ));
    }
}
