<?php

/**
 * CCTransaction form base class.
 *
 * @package    form
 * @subpackage cc_transaction
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BaseCCTransactionForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                => new sfWidgetFormInputHidden(),
      'status'            => new sfWidgetFormInput(),
      'status_message'    => new sfWidgetFormInput(),
      'unique_key'        => new sfWidgetFormInput(),
      'credit_card_id'    => new sfWidgetFormDoctrineSelect(array('model' => 'CreditCard', 'add_empty' => true)),
      'payment_id'        => new sfWidgetFormDoctrineSelect(array('model' => 'Payments', 'add_empty' => true)),
      'communication_log' => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'                => new sfValidatorDoctrineChoice(array('model' => 'CCTransaction', 'column' => 'id', 'required' => false)),
      'status'            => new sfValidatorNumber(array('required' => false)),
      'status_message'    => new sfValidatorString(array('max_length' => 200, 'required' => false)),
      'unique_key'        => new sfValidatorString(array('max_length' => 64, 'required' => false)),
      'credit_card_id'    => new sfValidatorDoctrineChoice(array('model' => 'CreditCard', 'required' => false)),
      'payment_id'        => new sfValidatorDoctrineChoice(array('model' => 'Payments', 'required' => false)),
      'communication_log' => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('cc_transaction[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'CCTransaction';
  }

}