<?php

/**
 * EmailTemplate form base class.
 *
 * @package    form
 * @subpackage email_template
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BaseEmailTemplateForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'      => new sfWidgetFormInputHidden(),
      'name'    => new sfWidgetFormInput(),
      'subject' => new sfWidgetFormInput(),
      'content' => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'      => new sfValidatorDoctrineChoice(array('model' => 'EmailTemplate', 'column' => 'id', 'required' => false)),
      'name'    => new sfValidatorString(array('max_length' => 32, 'required' => false)),
      'subject' => new sfValidatorString(array('max_length' => 128, 'required' => false)),
      'content' => new sfValidatorString(array('max_length' => 2147483647, 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('email_template[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'EmailTemplate';
  }

}