<?php

/**
 * LocationCategory form base class.
 *
 * @package    form
 * @subpackage location_category
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BaseLocationCategoryForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'          => new sfWidgetFormInputHidden(),
      'description' => new sfWidgetFormInput(),
      'country_id'  => new sfWidgetFormDoctrineSelect(array('model' => 'LocationCountry', 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'id'          => new sfValidatorDoctrineChoice(array('model' => 'LocationCategory', 'column' => 'id', 'required' => false)),
      'description' => new sfValidatorString(array('max_length' => 128, 'required' => false)),
      'country_id'  => new sfValidatorDoctrineChoice(array('model' => 'LocationCountry', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('location_category[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'LocationCategory';
  }

}