<?php

/**
 * Payments form base class.
 *
 * @package    form
 * @subpackage payments
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BasePaymentsForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                       => new sfWidgetFormInputHidden(),
      'type'                     => new sfWidgetFormInput(),
      'is_new_type_payment'      => new sfWidgetFormInput(),
      'date'                     => new sfWidgetFormDateTime(),
      'amount'                   => new sfWidgetFormInput(),
      'national_currency_amount' => new sfWidgetFormInput(),
      'user_id'                  => new sfWidgetFormDoctrineSelect(array('model' => 'User', 'add_empty' => true)),
      'status'                   => new sfWidgetFormInput(),
      'assigned_record_id'       => new sfWidgetFormInput(),
      'description'              => new sfWidgetFormInput(),
      'country_id'               => new sfWidgetFormDoctrineSelect(array('model' => 'LocationCountry', 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'id'                       => new sfValidatorDoctrineChoice(array('model' => 'Payments', 'column' => 'id', 'required' => false)),
      'type'                     => new sfValidatorPass(array('required' => false)),
      'is_new_type_payment'      => new sfValidatorPass(array('required' => false)),
      'date'                     => new sfValidatorDateTime(array('required' => false)),
      'amount'                   => new sfValidatorNumber(array('required' => false)),
      'national_currency_amount' => new sfValidatorNumber(array('required' => false)),
      'user_id'                  => new sfValidatorDoctrineChoice(array('model' => 'User', 'required' => false)),
      'status'                   => new sfValidatorNumber(array('required' => false)),
      'assigned_record_id'       => new sfValidatorNumber(array('required' => false)),
      'description'              => new sfValidatorString(array('max_length' => 128, 'required' => false)),
      'country_id'               => new sfValidatorDoctrineChoice(array('model' => 'LocationCountry', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('payments[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Payments';
  }

}