<?php

/**
 * SearchBeacon form base class.
 *
 * @package    form
 * @subpackage search_beacon
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BaseSearchBeaconForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'               => new sfWidgetFormInputHidden(),
      'country_id'       => new sfWidgetFormInput(),
      'pickup'           => new sfWidgetFormInput(),
      'dropoff'          => new sfWidgetFormInput(),
      'pickup_date'      => new sfWidgetFormDate(),
      'nb_listings'      => new sfWidgetFormInput(),
      'nb_sponsored_ads' => new sfWidgetFormInput(),
      'created_at'       => new sfWidgetFormDateTime(),
      'updated_at'       => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id'               => new sfValidatorDoctrineChoice(array('model' => 'SearchBeacon', 'column' => 'id', 'required' => false)),
      'country_id'       => new sfValidatorNumber(),
      'pickup'           => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'dropoff'          => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'pickup_date'      => new sfValidatorDate(array('required' => false)),
      'nb_listings'      => new sfValidatorNumber(),
      'nb_sponsored_ads' => new sfValidatorNumber(),
      'created_at'       => new sfValidatorDateTime(array('required' => false)),
      'updated_at'       => new sfValidatorDateTime(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('search_beacon[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'SearchBeacon';
  }

}