<?php

/**
 * Terms form base class.
 *
 * @package    form
 * @subpackage terms
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BaseTermsForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'      => new sfWidgetFormInputHidden(),
      'user_id' => new sfWidgetFormDoctrineSelect(array('model' => 'User', 'add_empty' => false)),
      'title'   => new sfWidgetFormInput(),
      'content' => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'      => new sfValidatorDoctrineChoice(array('model' => 'Terms', 'column' => 'id', 'required' => false)),
      'user_id' => new sfValidatorDoctrineChoice(array('model' => 'User')),
      'title'   => new sfValidatorString(array('max_length' => 127)),
      'content' => new sfValidatorString(array('max_length' => 2147483647)),
    ));

    $this->widgetSchema->setNameFormat('terms[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Terms';
  }

}