<?php

/**
 * VehicleType form base class.
 *
 * @package    form
 * @subpackage vehicle_type
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BaseVehicleTypeForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                            => new sfWidgetFormInputHidden(),
      'description'                   => new sfWidgetFormInput(),
      'is_active'                     => new sfWidgetFormInputCheckbox(),
      'country_id'                    => new sfWidgetFormDoctrineSelect(array('model' => 'LocationCountry', 'add_empty' => true)),
      'upselling_price'               => new sfWidgetFormInput(),
      'credits_per_additional_day_nz' => new sfWidgetFormInput(),
      'credits_per_additional_day_au' => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'                            => new sfValidatorDoctrineChoice(array('model' => 'VehicleType', 'column' => 'id', 'required' => false)),
      'description'                   => new sfValidatorString(array('max_length' => 2147483647, 'required' => false)),
      'is_active'                     => new sfValidatorBoolean(array('required' => false)),
      'country_id'                    => new sfValidatorDoctrineChoice(array('model' => 'LocationCountry', 'required' => false)),
      'upselling_price'               => new sfValidatorNumber(array('required' => false)),
      'credits_per_additional_day_nz' => new sfValidatorNumber(array('required' => false)),
      'credits_per_additional_day_au' => new sfValidatorNumber(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('vehicle_type[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'VehicleType';
  }

}