<?php

class OwnerSigninForm extends sfForm
{

    public function configure()
    {
        // Fields definition
        $this->setWidgets(array(
            'user'    => new sfWidgetFormInput(),
            'password'   => new sfWidgetFormInputPassword(),
        ));
        $this->widgetSchema->setNameFormat('login[%s]');

        // Set the Labels for specific fields

        $this->widgetSchema->setLabels(array(
            'user' => 'Username:',
            'password' => 'Password:'
        ));

        // Use Validators to check if the data are correct
        $this->setValidators(array(
            'user' => new sfValidatorString(),
            'password' => new sfValidatorString()
        ));

        $this->mergePostValidator(new tcOwnerValidatorSigninValidator());
    }
}