<?php

class OwnerUserChangePasswordForm extends sfForm
{
    public function configure()
    {
        $this->setWidgets(array(
            'password' => new sfWidgetFormInputPassword(),
            'confirm_password' => new sfWidgetFormInputPassword()
        ));

        $this->setValidators(array(
            'password' => new sfValidatorString(),
            'confirm_password' => new sfValidatorString()
        ));

        $this->mergePostValidator(new sfValidatorSchemaCompare('password', 'equal', 'confirm_password'));

        $this->widgetSchema->setNameFormat('users[%s]');
    }
}