<?php

class RelocationReviewReplyForm extends BaseForm
{
    public function configure()
    {
        $this->setWidgets(array(
            'reply' => new sfWidgetFormTextarea()
        ));

        $this->setValidators(array(
            'reply' => new sfValidatorString()
        ));

        $this->widgetSchema->setLabel('reply', 'Your reply to the driver:');

        $this->widgetSchema->setNameFormat('reply[%s]');


        $formatter = $this->getWidgetSchema()->getFormFormatter();
        $formatter->setErrorListFormatInARow('<small>%errors%</small>');
        $formatter->setErrorRowFormatInARow('%error% ');
    }
}