<?php

class flo2cashProcesspaymentTask extends sfPropelBaseTask
{
  protected function configure()
  {
    $this->namespace        = 'flo2cash';
    $this->name             = 'process-payment';
    $this->briefDescription = '';
    $this->detailedDescription = <<<EOF
The [flo2cash:process-payment|INFO] task does things.
Call it with:

  [php symfony flo2cash:process-payment|INFO]
EOF;
    $this->addArgument('application', sfCommandArgument::REQUIRED, 'The application name');
    $this->addArgument('user_id', sfCommandArgument::REQUIRED, 'The user id');
    // add other arguments here
    $this->addOption('env', null, sfCommandOption::PARAMETER_REQUIRED, 'The environment', 'dev');
    $this->addOption('connection', null, sfCommandOption::PARAMETER_REQUIRED, 'The connection name', 'propel');
    // add other options here
  }

  protected function execute($arguments = array(), $options = array())
  {
    // Database initialization
    $databaseManager = new sfDatabaseManager($this->configuration);

    Flo2CashPaymentHandler::handle($arguments['user_id']);
  }
}