<?php

class transfercarFixnotificationsTask extends sfPropelBaseTask
{
  protected function configure()
  {
    $this->namespace        = 'transfercar';
    $this->name             = 'fix-notifications';
    $this->briefDescription = '';
    $this->detailedDescription = <<<EOF
The [transfercar:fix-notifications|INFO] task does things.
Call it with:

  [php symfony transfercar:fix-notifications|INFO]
EOF;
    $this->addArgument('application', sfCommandArgument::OPTIONAL, 'The application name', 'frontend');
    // add other arguments here
    $this->addOption('env', null, sfCommandOption::PARAMETER_REQUIRED, 'The environment', 'dev');
    $this->addOption('connection', null, sfCommandOption::PARAMETER_REQUIRED, 'The connection name', 'doctrine');
    // add other options here
  }

  protected function execute($arguments = array(), $options = array())
  {
    // Database initialization
    $databaseManager = new sfDatabaseManager($this->configuration);

    ini_set('error_reporting', E_ALL);
    ini_set('display_errors', 1);
    $query = [];
    $query[] = 'SET AUTOCOMMIT=0';
    $query[] = 'BEGIN';
    $query[] = 'INSERT into notification_user (user_id, country_id, frequence, created_at, updated_at) SELECT id, email_country_new_reloc, (case  email_notify_type_freq when 0 then "instant" else "daily" END) as frequence, now(), now() from user where email_notify_new_reloc=1 and email_country_new_reloc in("1","2","3") and id not in (select user_id from notification_user where user_id is not null)';
    $query[] = 'UPDATE notification_user set frequence = (select (case  email_notify_type_freq when 0 then "instant" else "daily" END) as freq from user u where u.id=user_id) where user_id is not null';
    $query[] = 'COMMIT';
    $conn = $databaseManager->getDatabase($options['connection'])->getConnection();

    // array_walk($query, [$conn, 'exec']);

    array_walk($query, function ($q, $index) use ($conn){
      echo $q, "\n";
      $conn->exec($q);
    });
  }
}