<?php

class transfercarGeneratelocationnodeslugsTask extends sfPropelBaseTask
{
  protected function configure()
  {
    $this->namespace        = 'transfercar';
    $this->name             = 'generate-location-node-slugs';
    $this->briefDescription = '';
    $this->detailedDescription = <<<EOF
The [transfercar:generate-location-node-slugs|INFO] task does things.
Call it with:

  [php symfony transfercar:generate-location-node-slugs|INFO]
EOF;
    $this->addArgument('application', sfCommandArgument::OPTIONAL, 'The application name', 'frontend');
    // add other arguments here
    $this->addOption('env', null, sfCommandOption::PARAMETER_REQUIRED, 'The environment', 'dev');
    $this->addOption('connection', null, sfCommandOption::PARAMETER_REQUIRED, 'The connection name', 'doctrine');
    // add other options here
  }

  protected function execute($arguments = array(), $options = array())
  {
    // Database initialization
    $databaseManager = new sfDatabaseManager($this->configuration);

    $nodes = Doctrine::getTable('LocationNode')->findAll();
    $conn = Doctrine::getTable('LocationNode')->getConnection();
    $conn->beginTransaction();
    foreach ($nodes as $node) {
      $node->set('slug', $node->get('name'));
      $node->save($conn);
    }

    $conn->commit();
  }
}