<?php

class transfercarUpgradecmspageTask extends sfPropelBaseTask
{
  protected function configure()
  {
    $this->namespace        = 'transfercar';
    $this->name             = 'upgrade-cms-page';
    $this->briefDescription = '';
    $this->detailedDescription = <<<EOF
The [transfercar:upgrade-cms-page|INFO] task does things.
Call it with:

  [php symfony transfercar:upgrade-cms-page|INFO]
EOF;
    $this->addArgument('application', sfCommandArgument::REQUIRED, 'The application name');
    // add other arguments here
    $this->addOption('env', null, sfCommandOption::PARAMETER_REQUIRED, 'The environment', 'dev');
    $this->addOption('connection', null, sfCommandOption::PARAMETER_REQUIRED, 'The connection name', 'doctrine');
    // add other options here
  }

  protected function execute($arguments = array(), $options = array())
  {
    // Database initialization
    $databaseManager = new sfDatabaseManager($this->configuration);

    $pages = Doctrine::getTable('CMSPage')->findAll();

    foreach ($pages as $page)
    {
      $images = $page->get('carousel_images');

      foreach ($images as &$image)
      {
        if (!is_array($image)) {
          $image = array('path' => $image, 'alt' => '');
        }
      }

      $page->save();
    }
    // add code here

  }
}