<?php

class tcAdminImpersonator
{
    private $conn;

    public function __construct(PDO $conn)
    {
        $this->conn = $conn;
        $this->cleanup();
    }

    public function allow_impersonate($userId, $tcAdminId, $password)
    {
        $salt = sprintf('$2a$%02d$', 12);
        $salt .= hash('whirlpool', uniqid(mt_rand(), true));
        $key = crypt($password, $salt);

        $stmt = $this->conn->prepare('INSERT INTO tc_impersonate (admin_key, user_id, admin_id) VALUES(?, ?, ?)');
        $stmt->execute(array($key, $userId, $tcAdminId));
    }

    public function impersonate($key)
    {
        $rows = $this->conn->query('SELECT admin_key, user_id, admin_id from tc_impersonate')->fetchAll();

        foreach ($rows as $row)
        {
            if (crypt($key, $row[0]) == $row[0])
            {
                $this->conn
                    ->prepare('DELETE FROM tc_impersonate WHERE admin_key=? AND user_id=?')
                    ->execute(array($row[0], $row[1]))
                ;

                return array($row[1], $row[2]);
            }
        }

        return false;
    }

    private function cleanup()
    {
        $stmt = $this->conn
            ->prepare('DELETE from tc_impersonate WHERE hour(timediff(created_at, now())) >= 1')
            ->execute(array($ts))
        ;
    }
}