<?php
/**
 * Validates SMS confirmation code send to user mobile phone
 */
class myValidatorSmsCode extends sfValidatorBase
{
    public function doClean($value)
    {
        // Compare given value with the stored code
        $user = sfContext::getInstance()->getUser()->getAttribute('profile');
        
        if(!is_object($user) || $user->activation_code != $value){
            throw new sfValidatorError($this, 'invalid', array('value' => $value));
        }
        
        return $value;
    }
}

?>