<?php

/**
 * sfWidgetFormRichTextarea is an advanced text editor
 *
 * @package    transfercar
 * @subpackage widget
 * @author     Bartosz Pasinski <bartosz.pasinski@planetsoft.pl>
 */

class sfWidgetFormRichTextarea extends sfWidgetForm
{
  protected function configure($options = array(), $attributes = array())
  {
    // TODO: add some options (buttons, theme)
  }

  public function render($name, $value = null, $attributes = array(), $errors = array())
  {
    //use_javascript("tiny_mce/tiny_mce.js");
    $attributes['style'] = "width:100%";
    $attributes['rows']  = 20;
    $attributes['name'] = $name;
    $attributes['value'] = $value;
    $id = $attributes['id'];

    $result = '<textarea ' . $this->attributesToHtml($attributes) . '>' . $value . '</textarea>';
    $result .= <<<EOS
<script type="text/javascript">
tinyMCE.init({
	mode : "exact",
	theme : "advanced",
  elements: "$id",
  theme_advanced_buttons1 : "separator,bold,italic,underline,strikethrough,forecolor,backcolor,separator,justifyleft,justifycenter,justifyright,justifyfull",
  theme_advanced_buttons2 : "bullist,numlist,hr,separator,outdent,indent,separator,undo,redo,separator,code,formatselect",
  theme_advanced_buttons3 : "",
  theme_advanced_blockformats : "p,h1,h2,h3,h4,dt,dd"
});
</script>
EOS;

    return $result;
  }
}

?>