<?php use_helper('I18N', 'Transfercar') ?>
<?php if (!isset($request) || !$request) return ?>
<?php $driver = $request->get('Driver') ?>
<h3>Driver details</h3>
<table class="twelve">
    <tr>
        <th class="three">Name</th>
        <td><?php echo $driver->full_name() ?></td>
        <th>DOB</th>
        <td><?php echo tc_format_date($driver->get('date_of_birth')) ?></td>
    </tr>
    <tr>
        <th>Email</th>
        <td><?php echo $driver->get('email') ?></td>
        <th>License issued in</th>
        <td><?php echo $driver->get('license') ? format_country($driver->get('license')) : 'N/A' ?></td>
    </tr>
    <tr>
        <th>Day phone</th>
        <td><?php echo default_text($driver->get('contact_phone'), '-') ?></td>
        <th>Mobile phone</th>
        <td><?php echo default_text($driver->get('mobile_phone'), '-') ?></td>
    </tr>
    <tr>
        <th>Address</th>
        <td colspan="3">
            <?php echo $driver->get('address_line1') ?><br/>
            <?php echo $driver->get('address_line2') ?>
        </td>
    </tr>
    <tr>
        <th><?php echo __('Suburb') ?></th>
        <td><?php echo $driver->get('suburb') ?></td>
        <th><?php echo __('Postcode') ?></th>
        <td><?php echo $driver->get('postcode') ?></td>
    </tr>
    <tr>
        <th>City</th>
        <td><?php echo $driver->get('city') ?></td>
        <th>Country</th>
        <td><?php echo $driver->get('Country') ?></td>
    </tr>
</table>