<?php use_helper('I18N') ?>
<h3><?php echo __('Vehicle details') ?></h3>
<table class="twelve">
    <tr>
        <td rowspan="2">
            <img src="<?php echo $listing->getVehicle()->icon_path() ?>" style="max-width:140px"/>
        </td>
        <th><?php echo __('Name') ?></th>
        <td>
            <?php if ($listing->get('owner_vehicle_type_id')): ?>
                <?php echo $listing->getVehicle()->get('name') ?>
            <?php else: ?>
                <?php echo $listing->getVehicle()->get('description') ?>
            <?php endif ?>
        </td>
    </tr>
    <?php if ($listing->get('owner_vehicle_type_id')): ?>
        <tr>
            <td>&nbsp;</td>
            <th><?php echo __('Type') ?></th>
            <td><?php echo $listing->get('VehicleType')->get('description') ?></td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <th><?php echo __('Features') ?></th>
            <td><?php echo $listing->get('VehicleType')->get('features') ?></td>
        </tr>
    <?php endif ?>
</table>