<?php $isBooked = $listing->isBooked() ?>
<?php use_helper('Transfercar', 'Date') ?>
<h3>Journey details</h3>

<div class="row">
    <div class="col-md-6">
        <table class="table tables-tc">

            <tr>
                <th><?php echo __('Pickup') ?></th>
                <td><?php echo $listing->get('PickupLocation')->get('name') ?></td>
            </tr>

            <tr>
                <th><?php echo __('Dropoff') ?></th>
                <td><?php echo $listing->get('DropoffLocation')->get('name') ?></td>
            </tr>

            <tr>
                <th><?php echo __('Pickup date') ?></th>
                <td>
                    <?php echo ($request->get('pickup_date') !== null && $request->get('pickup_date') !== '') ? tc_format_date($request->get('pickup_date')) : '' ?>
                    <?php echo ($request->get('pickup_time') !== null && $request->get('pickup_time') !== '') ? tc_format_date($request->get('pickup_time'), 'hours') : '' ?>
                </td>
            </tr>


            <tr>
                <th><?php echo __('Dropoff date') ?></th>
                <td>
                    <?php echo ($request->get('drop_off_date') !== null && $request->get('drop_off_date') !== '') ? tc_format_date($request->get('drop_off_date')) : '' ?>
                    <?php echo ($request->get('dropoff_time') !== null && $request->get('dropoff_time') !== '') ? tc_format_date($request->get('dropoff_time'), 'hours') : '' ?>
                </td>


            <tr>
                <th><?php echo __('Vehicle type') ?></th>
                <td><?php echo $listing->get('VehicleType')->get('description') ?></td>
            </tr>

            <?php if ($listing->get('owner_vehicle_type_id')): ?>
            <tr>
                <th><?php echo __('Vehicle description') ?></th>
                <td><?php echo $listing->get('OwnerVehicleType')->get('description') ?></td>
            </tr>
            <?php endif ?>

            <tr>
                <th><?php echo __('Included days') ?></th>
                <td ><?php echo $request->get('nb_free_days') ?>&nbsp;</td>
            </tr>
            <?php if ($request->get('nb_paid_days')): ?>
                <tr>
                    <th><?php echo __('No. of paid days') ?></th>
                    <td ><?php echo $request->get('nb_paid_days') ?>&nbsp;</td>
                </tr>

                <tr>
                    <th><?php echo __('Price per paid day') ?></th>
                    <td>
                        <?php if ($listing->get('price_per_day')): ?>
                            <?php echo __('$') ?><?php echo $listing->get('price_per_day') ?> <?php echo strtoupper($listing->get('PickupLocation')->get('Category')->get('Country')->get('domain')) ?>D
                        <?php endif ?>
                    </td>
                </tr>

                 <tr>
                    <th><?php echo __('Total price paid days') ?></th>
                    <td>$<?php echo $listing->getRevenue($request) ?> <?php echo $listing->getCurrency() ?></td>
                </tr>
            <?php endif ?>
        </table>
    </div>
    <div class="col-md-6">
        <?php include_partial('listing/19_driver_included', array(
            'isBooked' => $isBooked,
            'listing'  => $listing,
            'request'  => $request
        )) ?>
    </div>
</div>