<?php

class TcExportStatsCsv
{
    public static function export($series, $categories)
    {
        $headers = array('Period');
        foreach ($series as $serie)
        {
            $headers[] = $serie['name'];
        }

        $rows = array($headers);
        foreach ($categories as $i => $category)
        {
            $val = array($category);

            foreach ($series as $serie)
            {
                $val[] = $serie['data'][$i];
            }

            $rows[] = $val;
        }

        $csv = array();
        foreach ($rows as $row)
        {
            $csv[] = implode(';', $row);
        }

        return implode("\n", $csv);
    }
}