<?php

class tc_statsComponents extends sfComponents
{
	public function executeChart()
	{
		list($series, $categories) = TcChart::build($this->pager->getResults(), $this->type);

		$this->categories = json_encode($categories);
		$this->series = json_encode(array_values($series));
	}

	public function executeDonut_chart()
	{
		list($data, $owners) = TcChart::buildDonut($this->top5);

		$this->data = json_encode($data);
		$this->owners = json_encode($owners);
	}
}