<div class="gst_receipt">
    <p><a href="#" onclick="window.print();return false">Print this page</a></p>
    <p style="font-weight: bold; text-align: center">Tax Invoice</p>

    <p style="text-align: right">
        <?php
            $seller_address = sfConfig::get('app_gst_receipt_seller_address');
            echo implode('<br />', $seller_address);
        ?>
    </p>

    <p>Date: <?php echo date('l, d F Y', $payment_date) ?></p>

    <?php
        // Generate Tax Invoice number
        $tax_invoice = sfConfig::get('app_gst_receipt_tax_invoice');
        $tax_invoice = str_replace('%year%', date('Y', $payment_date), $tax_invoice);
        $tax_invoice = str_replace('%month%', date('m', $payment_date), $tax_invoice);
        $tax_invoice = str_replace('%id%', $payment_id, $tax_invoice);
    ?>
    <p>Tax Invoice <?php echo $tax_invoice ?>

    <p><?php
        if($user->company){
            echo $user->company;
        } else {
            echo $user->full_name();
        }

        echo '<br />';

        if($user->address_line1){
            echo $user->address_line1.'<br />';
        }

        if($user->address_line2){
            echo $user->address_line2.'<br />';
        }

        if($user->suburb){
            echo $user->suburb.'<br />';
        }

        if($user->city){
            echo $user->city;
        }

        if($user->postcode){
            echo $user->postcode;
        }
    ?></p>

    <p>For: <?php echo sfConfig::get('app_gst_receipt_product_name') ?></p>

    <p style="text-align: right">
    <span class="gst_left">Total:</span>
    <span class="gst_right"><?php echo $value_with_tax ?></span><br />
    </p>
</div>
