<?php if (count($credit_cards)): ?>
<table class="acc_statement" cellpadding="0" cellspacing="0" width="100%">
    <thead>
        <tr>
            <th>Id</th>
            <th>Token ID<?php echo tooltip('credit_card_token') ?></th>
            <th>Card type</th>
            <th>Card Number</th>
            <th>Action<?php echo tooltip('credit_card_actions') ?></th>
        </tr>
    </thead>
    <tbody>
    <?php foreach ($credit_cards as $credit_card): ?>
        <tr>
            <td>
                <?php echo $credit_card->get('id') ?>
            </td>
            <td>
                <?php echo $credit_card->get('holder_name') ? $credit_card->get('holder_name') : 'N/A' ?>
            </td>
            <td>
                <?php echo $credit_card->getCardTypeName() ?>
            </td>
            <td>
                <?php echo $credit_card->get('number') ?>
            </td>
            <td>
                <?php echo link_to(image_tag('/sf/sf_admin/images/delete_icon.png'),
                    'userSettings/deleteCreditCard?cid='.$credit_card->get('id').'&id='.$credit_card->get('owner_id'),
                    array('confirm' => 'Are you sure?')
                ) ?>
            </td>
        </tr>
    <?php endforeach ?>
    </tbody>
</table>
<?php else: ?>
<div>This user does not have any stored credit card</div>
<?php endif ?>