<?php

namespace Transfercar\PhpAmqpLib;

use Doctrine_Record;
use sfConfig;
use PhpAmqpLib\Message\AMQPMessage;

class tcRequestProducer
{
    public static function publish(Doctrine_Record $record, $queueName)
    {
        $queue = new tcRabbitmq(
          sfConfig::get('app_amqp_host'),
          sfConfig::get('app_amqp_port'),
          sfConfig::get('app_amqp_username'),
          sfConfig::get('app_amqp_password'),
          sfConfig::get('app_amqp_path')
        );
        $queue->getChannel($queueName);

        $msg = new AMQPMessage($record->getId(), array('content_type' => 'text/plain', 'delivery_mode' => 2));
        $queue->getChannel($queueName)->basic_publish($msg, '', $queueName);
    }
}