<?php 


$company ='SIXT NZ';
$from_date ='2021-01-01';
$to_date='2021-02-01';
$json = json_decode(file_get_contents(__DIR__.'/nps_10000.json'), true);

$results = array_filter($json['data'], function($var) use ($company) {
    return $var['operator_c'] == $company;
});

$from_date_ts = $from_date ? strtotime($from_date) : null;
$to_date_ts = $to_date ? strtotime($to_date) : null;

$results = array_filter($results, function($var) use ($from_date_ts, $to_date_ts) {
    $keep = true;
    if ($from_date_ts && $from_date_ts > $var['created']) {
	$keep = false;
    }

    if ($to_date_ts && $to_date_ts < $var['created']) {
	$keep = false;
    }

    return $keep;
});

$sumNps = array_reduce($results, function($carry, $item){
            $carry += (int) $item['answer'];

            return $carry;
        }, 0);


var_dump($sumNps);
var_dump(count($results));
var_dump($sumNps/count($results));
