<?php

class CarTrawlerLocation
{
    public static function getNzRoutes()
    {
        return [
            360 => [ // 'Christchurch - Airport'
                  5234, // 'Queenstown - Airport'
                  5233, // Queenstown
                  5232, // Picton
                  5244, // Wellington - Airport
                  5243, // Wellington
                  359, // Auckland - Airport
                  1151, // Auckland - Downtown
                  5231, // Neslon - Airport
                  5228, // Dunedin
                  5229, // Greymouth - Train Station
            ],
            5227 => [ // 'Christchurch - Downtown'
                  5234, // 'Queenstown - Airport'
                  5233, // Queenstown
                  5232, // Picton
                  5244, // Wellington - Airport
                  5243, // Wellington
                  359, // Auckland - Airport
                  1151, // Auckland - Downtown
                  5231, // Neslon - Airport
                  5228, // Dunedin
                  5229, // Greymouth - Train Station
            ],
            5228 => [ // 'Dunedin'
                  360, // 'Christchurch - Airport'
                  5227, // 'Christchurch - Downtown'
                  5234, // 'Queenstown - Airport'
                  5233, // Queenstown
                  359, // Auckland - Airport
                  1151, // Auckland - Downtown
            ],
            5248 => [ // Dunedin - Airport
                  360, // 'Christchurch - Airport'
                  5227, // 'Christchurch - Downtown'
                  5234, // 'Queenstown - Airport'
                  5233, // Queenstown
                  359, // Auckland - Airport
                  1151, // Auckland - Downtown
            ],
            5243 => [ // 'Wellington'
                  359, // Auckland - Airport
                  1151, // Auckland - Downtown
                  360, // 'Christchurch - Airport'
                  5227, // 'Christchurch - Downtown'
                  5234, // 'Queenstown - Airport'
                  5233, // Queenstown
            ],
            5244 => [ // Wellington - Airport
                  359, // Auckland - Airport
                  1151, // Auckland - Downtown
                  360, // 'Christchurch - Airport'
                  5227, // 'Christchurch - Downtown'
                  5234, // 'Queenstown - Airport'
                  5233, // Queenstown
            ],
            359 => [ // Auckland - Airport
                  5243, // Wellington
                  5244, // Wellington - Airport
                  360, // 'Christchurch - Airport'
                  5227, // 'Christchurch - Downtown'
                  5234, // 'Queenstown - Airport'
                  5233, // Queenstown
                  5232, // Picton
                  6507, // Napier
            ],
            1151 => [ // Auckland - Downtown
                  5243, // Wellington
                  5244, // Wellington - Airport
                  360, // 'Christchurch - Airport'
                  5227, // 'Christchurch - Downtown'
                  5234, // 'Queenstown - Airport'
                  5233, // Queenstown
                  5232, // Picton
                  6507, // Napier
            ],
            5233 => [ // Queenstown
                  360, // 'Christchurch - Airport'
                  5227, // 'Christchurch - Downtown'
                  359, // Auckland - Airport
                  1151, // Auckland - Downtown
                  5228, // Dunedin
                  5232, // Picton
                  5243, // Wellington
                  5244, // Wellington - Airport
                  5229, // Greymouth - Train Station
                  5231, // Neslon - Airport
            ],
            5234 => [ // Queenstown - Airport
                  360, // 'Christchurch - Airport'
                  5227, // 'Christchurch - Downtown'
                  359, // Auckland - Airport
                  1151, // Auckland - Downtown
                  5228, // Dunedin
                  5232, // Picton
                  5243, // Wellington
                  5244, // Wellington - Airport
                  5229, // Greymouth - Train Station
                  5231, // Neslon - Airport
            ],
            5231 => [ // Neslon - Airport
                  360, // 'Christchurch - Airport'
                  5227, // 'Christchurch - Downtown'
            ],
            5232 => [ // Picton
                  360, // 'Christchurch - Airport'
                  5227, // 'Christchurch - Downtown'
                  359, // Auckland - Airport
                  1151, // Auckland - Downtown
            ],
            1159 => [ //Palmerston North
                  359, // Auckland - Airport
                  1151, // Auckland - Downtown
            ]
        ];
        /*
        return  [
            359 => 'Auckland - Airport',
            360 => 'Christchurch - Airport',
            1151 => 'Auckland - Downtown',
            1159 => 'Palmerston North',
            // 1167 => 'Wellington - Ferry Port',
            5231 => 'Nelson - Airport',
            // 5230 => 'Invercargill - Airport',
            // 5229 => 'Greymouth - Train Station',
            5228 => 'Dunedin',
            5227 => 'Christchurch - Downtown',
            // 5226 => 'Blenheim',
            // 5225 => 'Whangarei',
            // 5224 => 'Whakatane',
            // 5223 => 'Wanganui',
            // 5221 => 'Taupo',
            // 5220 => 'Rotorua',
            5218 => 'Palmerston North - Airport',
            // 5217 => 'New Plymouth',
            // 5216 => 'Napier - Airport',
            // 5246 => 'Whangarei - Airport',
            // 5247 => 'Blenheim - Airport',
            5244 => 'Wellington - Airport',
            // 5245 => 'Whakatane - Airport',
            // 5242 => 'Wanganui - Airport',
            5243 => 'Wellington',
            // 5239 => 'Rotorua - Airport',
            // 5236 => 'Kerikeri - Airport',
            // 5237 => 'New Plymouth - Airport',
            5234 => 'Queenstown - Airport',
            // 5235 => 'Gisborne - Airport',
            5232 => 'Picton',
            5233 => 'Queenstown',
            // 5214 => 'Kerikeri',
            5248 => 'Dunedin - Airport',
            6529 => 'Hamilton',
            // 6503 => 'Cambridge',
            6504 => 'Hamilton - Airport',
            // 6507 => 'Napier',
            // 23216 => 'Kawerau',
            // 25848 => 'Hokitika - Airport',
            // 25948 => 'Kaitaia',
            // 27492 => 'Timaru - Airport',
            // 26692 => 'Taupo - Airport',
            // 27060 => 'Tauranga - Airport',
            // 151892 => 'Manukau - Auckland',
            // 151896 => 'Auckland - North Shore',
            // 151900 => 'Westport - Airport',
            // 152489 => 'Auckland - East Tamaki',
            // 29416 => 'Invercargill',
            // 30908 => 'Timaru',
            // 51272 => 'Gisborne',
            51092 => 'Picton - Ferry Port',
            // 51052 => 'Greymouth',
        ];*/
    }
}