<?php

/**
 * Addon form base class.
 *
 * @package    form
 * @subpackage addon
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BaseAddonForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'         => new sfWidgetFormInputHidden(),
      'user_id'    => new sfWidgetFormDoctrineSelect(array('model' => 'User', 'add_empty' => false)),
      'listing_id' => new sfWidgetFormDoctrineSelect(array('model' => 'Listing', 'add_empty' => false)),
      'title'      => new sfWidgetFormInput(),
      'name'       => new sfWidgetFormInput(),
      'price'      => new sfWidgetFormInput(),
      'period'     => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'         => new sfValidatorDoctrineChoice(array('model' => 'Addon', 'column' => 'id', 'required' => false)),
      'user_id'    => new sfValidatorDoctrineChoice(array('model' => 'User')),
      'listing_id' => new sfValidatorDoctrineChoice(array('model' => 'Listing')),
      'title'      => new sfValidatorString(array('max_length' => 20)),
      'name'       => new sfValidatorString(array('max_length' => 63)),
      'price'      => new sfValidatorNumber(),
      'period'     => new sfValidatorString(array('max_length' => 15, 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('addon[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Addon';
  }

}