<?php

/**
 * AdminUser form base class.
 *
 * @package    form
 * @subpackage admin_user
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BaseAdminUserForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'       => new sfWidgetFormInputHidden(),
      'username' => new sfWidgetFormInput(),
      'name'     => new sfWidgetFormInput(),
      'email'    => new sfWidgetFormInput(),
      'password' => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'       => new sfValidatorDoctrineChoice(array('model' => 'AdminUser', 'column' => 'id', 'required' => false)),
      'username' => new sfValidatorString(array('max_length' => 64, 'required' => false)),
      'name'     => new sfValidatorString(array('max_length' => 64, 'required' => false)),
      'email'    => new sfValidatorString(array('max_length' => 64, 'required' => false)),
      'password' => new sfValidatorString(array('max_length' => 64, 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('admin_user[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'AdminUser';
  }

}