<?php

/**
 * Advertiser form base class.
 *
 * @package    form
 * @subpackage advertiser
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BaseAdvertiserForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'               => new sfWidgetFormInputHidden(),
      'company'          => new sfWidgetFormInput(),
      'country_id'       => new sfWidgetFormDoctrineSelect(array('model' => 'LocationCountry', 'add_empty' => false)),
      'contact_name'     => new sfWidgetFormInput(),
      'contact_email'    => new sfWidgetFormInput(),
      'contact_phone'    => new sfWidgetFormInput(),
      'notes'            => new sfWidgetFormInput(),
      'username'         => new sfWidgetFormInput(),
      'password'         => new sfWidgetFormInput(),
      'seasonal_offsets' => new sfWidgetFormInput(),
      'created_at'       => new sfWidgetFormDateTime(),
      'updated_at'       => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id'               => new sfValidatorDoctrineChoice(array('model' => 'Advertiser', 'column' => 'id', 'required' => false)),
      'company'          => new sfValidatorString(array('max_length' => 255)),
      'country_id'       => new sfValidatorDoctrineChoice(array('model' => 'LocationCountry')),
      'contact_name'     => new sfValidatorString(array('max_length' => 255)),
      'contact_email'    => new sfValidatorString(array('max_length' => 255)),
      'contact_phone'    => new sfValidatorString(array('max_length' => 255)),
      'notes'            => new sfValidatorString(array('max_length' => 2147483647, 'required' => false)),
      'username'         => new sfValidatorString(array('max_length' => 50)),
      'password'         => new sfValidatorString(array('max_length' => 60)),
      'seasonal_offsets' => new sfValidatorPass(array('required' => false)),
      'created_at'       => new sfValidatorDateTime(array('required' => false)),
      'updated_at'       => new sfValidatorDateTime(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('advertiser[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Advertiser';
  }

}