<?php

/**
 * Banners form base class.
 *
 * @package    form
 * @subpackage banners
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BaseBannersForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'              => new sfWidgetFormInputHidden(),
      'domain'          => new sfWidgetFormInput(),
      'banner_place_id' => new sfWidgetFormInput(),
      'banner_code'     => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'              => new sfValidatorDoctrineChoice(array('model' => 'Banners', 'column' => 'id', 'required' => false)),
      'domain'          => new sfValidatorString(array('max_length' => 2)),
      'banner_place_id' => new sfValidatorString(array('max_length' => 255)),
      'banner_code'     => new sfValidatorString(array('max_length' => 2147483647)),
    ));

    $this->widgetSchema->setNameFormat('banners[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Banners';
  }

}