<?php

/**
 * CreditCard form base class.
 *
 * @package    form
 * @subpackage credit_card
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BaseCreditCardForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'          => new sfWidgetFormInputHidden(),
      'card_type'   => new sfWidgetFormInput(),
      'expiry'      => new sfWidgetFormDate(),
      'holder_name' => new sfWidgetFormInput(),
      'number'      => new sfWidgetFormInput(),
      'csv'         => new sfWidgetFormInput(),
      'owner_id'    => new sfWidgetFormDoctrineSelect(array('model' => 'User', 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'id'          => new sfValidatorDoctrineChoice(array('model' => 'CreditCard', 'column' => 'id', 'required' => false)),
      'card_type'   => new sfValidatorNumber(array('required' => false)),
      'expiry'      => new sfValidatorDate(array('required' => false)),
      'holder_name' => new sfValidatorString(array('max_length' => 64, 'required' => false)),
      'number'      => new sfValidatorString(array('max_length' => 32, 'required' => false)),
      'csv'         => new sfValidatorString(array('max_length' => 4, 'required' => false)),
      'owner_id'    => new sfValidatorDoctrineChoice(array('model' => 'User', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('credit_card[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'CreditCard';
  }

}