<?php

/**
 * DriverListing form base class.
 *
 * @package    form
 * @subpackage driver_listing
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BaseDriverListingForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                  => new sfWidgetFormInputHidden(),
      'driver_id'           => new sfWidgetFormDoctrineSelect(array('model' => 'User', 'add_empty' => false)),
      'status'              => new sfWidgetFormInput(),
      'date_from'           => new sfWidgetFormDate(),
      'date_to'             => new sfWidgetFormDate(),
      'comment'             => new sfWidgetFormInput(),
      'created_at'          => new sfWidgetFormDate(),
      'pickup_location_id'  => new sfWidgetFormDoctrineSelect(array('model' => 'Locations', 'add_empty' => true)),
      'dropoff_location_id' => new sfWidgetFormDoctrineSelect(array('model' => 'Locations', 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'id'                  => new sfValidatorDoctrineChoice(array('model' => 'DriverListing', 'column' => 'id', 'required' => false)),
      'driver_id'           => new sfValidatorDoctrineChoice(array('model' => 'User')),
      'status'              => new sfValidatorNumber(),
      'date_from'           => new sfValidatorDate(),
      'date_to'             => new sfValidatorDate(),
      'comment'             => new sfValidatorString(array('max_length' => 255)),
      'created_at'          => new sfValidatorDate(),
      'pickup_location_id'  => new sfValidatorDoctrineChoice(array('model' => 'Locations', 'required' => false)),
      'dropoff_location_id' => new sfValidatorDoctrineChoice(array('model' => 'Locations', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('driver_listing[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'DriverListing';
  }

}