<?php

/**
 * DriverReport form base class.
 *
 * @package    form
 * @subpackage driver_report
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BaseDriverReportForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'         => new sfWidgetFormInputHidden(),
      'driver_id'  => new sfWidgetFormDoctrineSelect(array('model' => 'User', 'add_empty' => false)),
      'owner_id'   => new sfWidgetFormInput(),
      'reason_id'  => new sfWidgetFormDoctrineSelect(array('model' => 'ReportReason', 'add_empty' => false)),
      'comment'    => new sfWidgetFormInput(),
      'created_at' => new sfWidgetFormDateTime(),
      'updated_at' => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id'         => new sfValidatorDoctrineChoice(array('model' => 'DriverReport', 'column' => 'id', 'required' => false)),
      'driver_id'  => new sfValidatorDoctrineChoice(array('model' => 'User')),
      'owner_id'   => new sfValidatorNumber(),
      'reason_id'  => new sfValidatorDoctrineChoice(array('model' => 'ReportReason')),
      'comment'    => new sfValidatorString(array('max_length' => 2147483647, 'required' => false)),
      'created_at' => new sfValidatorDateTime(array('required' => false)),
      'updated_at' => new sfValidatorDateTime(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('driver_report[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'DriverReport';
  }

}