<?php

/**
 * EmailLog form base class.
 *
 * @package    form
 * @subpackage email_log
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BaseEmailLogForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'          => new sfWidgetFormInputHidden(),
      'domain'      => new sfWidgetFormInput(),
      'subject'     => new sfWidgetFormInput(),
      'created_at'  => new sfWidgetFormDateTime(),
      'tracking_id' => new sfWidgetFormInput(),
      'user_id'     => new sfWidgetFormDoctrineSelect(array('model' => 'User', 'add_empty' => true)),
      'status'      => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'          => new sfValidatorDoctrineChoice(array('model' => 'EmailLog', 'column' => 'id', 'required' => false)),
      'domain'      => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'subject'     => new sfValidatorString(array('max_length' => 2048, 'required' => false)),
      'created_at'  => new sfValidatorDateTime(array('required' => false)),
      'tracking_id' => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'user_id'     => new sfValidatorDoctrineChoice(array('model' => 'User', 'required' => false)),
      'status'      => new sfValidatorString(array('max_length' => 50, 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('email_log[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'EmailLog';
  }

}