<?php

/**
 * Listing form base class.
 *
 * @package    form
 * @subpackage listing
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BaseListingForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                  => new sfWidgetFormInputHidden(),
      'owner_id'            => new sfWidgetFormDoctrineSelect(array('model' => 'User', 'add_empty' => true)),
      'date_available_from' => new sfWidgetFormDate(),
      'auto_accept'         => new sfWidgetFormInputCheckbox(),
      'status'              => new sfWidgetFormInput(),
      'date_return_by'      => new sfWidgetFormDate(),
      'kms_allowed'         => new sfWidgetFormInput(),
      'days_allowed'        => new sfWidgetFormInput(),
      'paid_days_allowed'   => new sfWidgetFormInput(),
      'price_per_day'       => new sfWidgetFormInput(),
      'vehicle_type_id'     => new sfWidgetFormDoctrineSelect(array('model' => 'VehicleType', 'add_empty' => true)),
      'dropoff_location_id' => new sfWidgetFormDoctrineSelect(array('model' => 'Locations', 'add_empty' => true)),
      'pickup_location_id'  => new sfWidgetFormDoctrineSelect(array('model' => 'Locations', 'add_empty' => true)),
      'price'               => new sfWidgetFormInput(),
      'is_new_type_payment' => new sfWidgetFormInput(),
      'petrol_included'     => new sfWidgetFormInputCheckbox(),
      'ferry_included'      => new sfWidgetFormInputCheckbox(),
      'expenses_included'   => new sfWidgetFormInputCheckbox(),
      'insurance_included'  => new sfWidgetFormInputCheckbox(),
      'comment'             => new sfWidgetFormInput(),
      'created_at'          => new sfWidgetFormDate(),
      'terms_id'            => new sfWidgetFormDoctrineSelect(array('model' => 'Terms', 'add_empty' => true)),
      'min_age'             => new sfWidgetFormInput(),
      'license'             => new sfWidgetFormInput(),
      'pickup_address'      => new sfWidgetFormInput(),
      'contact_person'      => new sfWidgetFormInput(),
      'contact_phone'       => new sfWidgetFormInput(),
      'notify_instance'     => new sfWidgetFormInputCheckbox(),
      'notify_daily'        => new sfWidgetFormInputCheckbox(),
    ));

    $this->setValidators(array(
      'id'                  => new sfValidatorDoctrineChoice(array('model' => 'Listing', 'column' => 'id', 'required' => false)),
      'owner_id'            => new sfValidatorDoctrineChoice(array('model' => 'User', 'required' => false)),
      'date_available_from' => new sfValidatorDate(array('required' => false)),
      'auto_accept'         => new sfValidatorBoolean(array('required' => false)),
      'status'              => new sfValidatorNumber(array('required' => false)),
      'date_return_by'      => new sfValidatorDate(array('required' => false)),
      'kms_allowed'         => new sfValidatorNumber(array('required' => false)),
      'days_allowed'        => new sfValidatorNumber(array('required' => false)),
      'paid_days_allowed'   => new sfValidatorNumber(array('required' => false)),
      'price_per_day'       => new sfValidatorNumber(array('required' => false)),
      'vehicle_type_id'     => new sfValidatorDoctrineChoice(array('model' => 'VehicleType', 'required' => false)),
      'dropoff_location_id' => new sfValidatorDoctrineChoice(array('model' => 'Locations', 'required' => false)),
      'pickup_location_id'  => new sfValidatorDoctrineChoice(array('model' => 'Locations', 'required' => false)),
      'price'               => new sfValidatorNumber(array('required' => false)),
      'is_new_type_payment' => new sfValidatorPass(array('required' => false)),
      'petrol_included'     => new sfValidatorBoolean(array('required' => false)),
      'ferry_included'      => new sfValidatorBoolean(array('required' => false)),
      'expenses_included'   => new sfValidatorBoolean(array('required' => false)),
      'insurance_included'  => new sfValidatorBoolean(array('required' => false)),
      'comment'             => new sfValidatorString(array('max_length' => 2147483647, 'required' => false)),
      'created_at'          => new sfValidatorDate(array('required' => false)),
      'terms_id'            => new sfValidatorDoctrineChoice(array('model' => 'Terms', 'required' => false)),
      'min_age'             => new sfValidatorNumber(array('required' => false)),
      'license'             => new sfValidatorPass(array('required' => false)),
      'pickup_address'      => new sfValidatorString(array('max_length' => 255)),
      'contact_person'      => new sfValidatorString(array('max_length' => 127)),
      'contact_phone'       => new sfValidatorString(array('max_length' => 20)),
      'notify_instance'     => new sfValidatorBoolean(array('required' => false)),
      'notify_daily'        => new sfValidatorBoolean(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('listing[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Listing';
  }

}