<?php

/**
 * NotifyRoute form base class.
 *
 * @package    form
 * @subpackage notify_route
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BaseNotifyRouteForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'               => new sfWidgetFormInputHidden(),
      'user_id'          => new sfWidgetFormDoctrineSelect(array('model' => 'User', 'add_empty' => true)),
      'location_from_id' => new sfWidgetFormDoctrineSelect(array('model' => 'Locations', 'add_empty' => true)),
      'location_to_id'   => new sfWidgetFormDoctrineSelect(array('model' => 'Locations', 'add_empty' => true)),
      'alert_type'       => new sfWidgetFormInput(),
      'created_at'       => new sfWidgetFormDateTime(),
      'updated_at'       => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id'               => new sfValidatorDoctrineChoice(array('model' => 'NotifyRoute', 'column' => 'id', 'required' => false)),
      'user_id'          => new sfValidatorDoctrineChoice(array('model' => 'User', 'required' => false)),
      'location_from_id' => new sfValidatorDoctrineChoice(array('model' => 'Locations', 'required' => false)),
      'location_to_id'   => new sfValidatorDoctrineChoice(array('model' => 'Locations', 'required' => false)),
      'alert_type'       => new sfValidatorPass(array('required' => false)),
      'created_at'       => new sfValidatorDateTime(array('required' => false)),
      'updated_at'       => new sfValidatorDateTime(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('notify_route[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'NotifyRoute';
  }

}