<?php

/**
 * Prices form base class.
 *
 * @package    form
 * @subpackage prices
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BasePricesForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'               => new sfWidgetFormInputHidden(),
      'category_from_id' => new sfWidgetFormDoctrineSelect(array('model' => 'LocationCategory', 'add_empty' => true)),
      'category_to_id'   => new sfWidgetFormDoctrineSelect(array('model' => 'LocationCategory', 'add_empty' => true)),
      'fee'              => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'               => new sfValidatorDoctrineChoice(array('model' => 'Prices', 'column' => 'id', 'required' => false)),
      'category_from_id' => new sfValidatorDoctrineChoice(array('model' => 'LocationCategory', 'required' => false)),
      'category_to_id'   => new sfValidatorDoctrineChoice(array('model' => 'LocationCategory', 'required' => false)),
      'fee'              => new sfValidatorNumber(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('prices[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Prices';
  }

}