<?php

/**
 * RelocationReview form base class.
 *
 * @package    form
 * @subpackage relocation_review
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BaseRelocationReviewForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'         => new sfWidgetFormInputHidden(),
      'request_id' => new sfWidgetFormDoctrineSelect(array('model' => 'Request', 'add_empty' => false)),
      'ro_score'   => new sfWidgetFormInput(),
      'ro_review'  => new sfWidgetFormInput(),
      'tc_score'   => new sfWidgetFormInput(),
      'tc_review'  => new sfWidgetFormInput(),
      'created_at' => new sfWidgetFormDateTime(),
      'updated_at' => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id'         => new sfValidatorDoctrineChoice(array('model' => 'RelocationReview', 'column' => 'id', 'required' => false)),
      'request_id' => new sfValidatorDoctrineChoice(array('model' => 'Request')),
      'ro_score'   => new sfValidatorNumber(),
      'ro_review'  => new sfValidatorString(array('max_length' => 2147483647)),
      'tc_score'   => new sfValidatorNumber(),
      'tc_review'  => new sfValidatorString(array('max_length' => 2147483647)),
      'created_at' => new sfValidatorDateTime(array('required' => false)),
      'updated_at' => new sfValidatorDateTime(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('relocation_review[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'RelocationReview';
  }

}