<?php

/**
 * RequestComment form base class.
 *
 * @package    form
 * @subpackage request_comment
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BaseRequestCommentForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'         => new sfWidgetFormInputHidden(),
      'request_id' => new sfWidgetFormDoctrineSelect(array('model' => 'Request', 'add_empty' => false)),
      'content'    => new sfWidgetFormInput(),
      'author'     => new sfWidgetFormInput(),
      'created_at' => new sfWidgetFormDateTime(),
      'updated_at' => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id'         => new sfValidatorDoctrineChoice(array('model' => 'RequestComment', 'column' => 'id', 'required' => false)),
      'request_id' => new sfValidatorDoctrineChoice(array('model' => 'Request')),
      'content'    => new sfValidatorString(array('max_length' => 2147483647)),
      'author'     => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'created_at' => new sfValidatorDateTime(array('required' => false)),
      'updated_at' => new sfValidatorDateTime(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('request_comment[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'RequestComment';
  }

}