<?php

/**
 * Request form base class.
 *
 * @package    form
 * @subpackage request
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BaseRequestForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                      => new sfWidgetFormInputHidden(),
      'driver_id'               => new sfWidgetFormDoctrineSelect(array('model' => 'User', 'add_empty' => true)),
      'status'                  => new sfWidgetFormInput(),
      'deleted'                 => new sfWidgetFormInput(),
      'listing_id'              => new sfWidgetFormDoctrineSelect(array('model' => 'Listing', 'add_empty' => true)),
      'pickup_date'             => new sfWidgetFormDateTime(),
      'nb_free_days'            => new sfWidgetFormInput(),
      'nb_paid_days'            => new sfWidgetFormInput(),
      'drop_off_date'           => new sfWidgetFormDateTime(),
      'pickup_time'             => new sfWidgetFormInput(),
      'dropoff_time'            => new sfWidgetFormInput(),
      'rating_comment'          => new sfWidgetFormInput(),
      'internal_rating_comment' => new sfWidgetFormInput(),
      'rating'                  => new sfWidgetFormInput(),
      'rating_at'               => new sfWidgetFormDateTime(),
      'when_accepted'           => new sfWidgetFormDateTime(),
      'created_at'              => new sfWidgetFormDateTime(),
      'no_show_fee'             => new sfWidgetFormInput(),
      'no_show_fee_amount'      => new sfWidgetFormInput(),
      'credit_card_id'          => new sfWidgetFormDoctrineSelect(array('model' => 'CreditCard', 'add_empty' => true)),
      'cancelled_at'            => new sfWidgetFormDateTime(),
      'is_late_cancel'          => new sfWidgetFormInputCheckbox(),
      'listing_data'            => new sfWidgetFormInput(),
      'internal_status'         => new sfWidgetFormInput(),
      'internal_comments'       => new sfWidgetFormInput(),
      'driver_cancel_comment'   => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'                      => new sfValidatorDoctrineChoice(array('model' => 'Request', 'column' => 'id', 'required' => false)),
      'driver_id'               => new sfValidatorDoctrineChoice(array('model' => 'User', 'required' => false)),
      'status'                  => new sfValidatorNumber(array('required' => false)),
      'deleted'                 => new sfValidatorNumber(array('required' => false)),
      'listing_id'              => new sfValidatorDoctrineChoice(array('model' => 'Listing', 'required' => false)),
      'pickup_date'             => new sfValidatorDateTime(array('required' => false)),
      'nb_free_days'            => new sfValidatorNumber(array('required' => false)),
      'nb_paid_days'            => new sfValidatorNumber(array('required' => false)),
      'drop_off_date'           => new sfValidatorDateTime(array('required' => false)),
      'pickup_time'             => new sfValidatorNumber(array('required' => false)),
      'dropoff_time'            => new sfValidatorNumber(array('required' => false)),
      'rating_comment'          => new sfValidatorString(array('max_length' => 128, 'required' => false)),
      'internal_rating_comment' => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'rating'                  => new sfValidatorNumber(array('required' => false)),
      'rating_at'               => new sfValidatorDateTime(array('required' => false)),
      'when_accepted'           => new sfValidatorDateTime(array('required' => false)),
      'created_at'              => new sfValidatorDateTime(array('required' => false)),
      'no_show_fee'             => new sfValidatorNumber(array('required' => false)),
      'no_show_fee_amount'      => new sfValidatorNumber(array('required' => false)),
      'credit_card_id'          => new sfValidatorDoctrineChoice(array('model' => 'CreditCard', 'required' => false)),
      'cancelled_at'            => new sfValidatorDateTime(array('required' => false)),
      'is_late_cancel'          => new sfValidatorBoolean(array('required' => false)),
      'listing_data'            => new sfValidatorPass(array('required' => false)),
      'internal_status'         => new sfValidatorNumber(array('required' => false)),
      'internal_comments'       => new sfValidatorPass(array('required' => false)),
      'driver_cancel_comment'   => new sfValidatorString(array('max_length' => 2147483647, 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('request[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Request';
  }

}