<?php

/**
 * VirtualCurrency form base class.
 *
 * @package    form
 * @subpackage virtual_currency
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 8508 2008-04-17 17:39:15Z fabien $
 */
class BaseVirtualCurrencyForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'         => new sfWidgetFormInputHidden(),
      'credit'     => new sfWidgetFormInput(),
      'price'      => new sfWidgetFormInput(),
      'country_id' => new sfWidgetFormDoctrineSelect(array('model' => 'LocationCountry', 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'id'         => new sfValidatorDoctrineChoice(array('model' => 'VirtualCurrency', 'column' => 'id', 'required' => false)),
      'credit'     => new sfValidatorNumber(array('required' => false)),
      'price'      => new sfValidatorNumber(array('required' => false)),
      'country_id' => new sfValidatorDoctrineChoice(array('model' => 'LocationCountry', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('virtual_currency[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'VirtualCurrency';
  }

}