<?php

class tcDriverLogoValidatedFile extends sfValidatedFile
{
    public function saveThumbnail()
    {
        $path = sfConfig::get('sf_upload_dir').'/drivers/';

        $thumb = new sfThumbnail(250, 100);
        $thumb->loadFile($this->getTempName());
        $filename = sha1(uniqid(true));
        $filename .= $this->getOriginalExtension();

        $thumb->save($path.$filename);

        return '/uploads/drivers/'.$filename;
    }
}
