<?php

function link_to_pause($listing)
{
    $message = sprintf(
        'Are you sure you want to pause ad %s?<br/>The ad  will no longer be displayed on the website',
        $listing->get('id')
    );
    return link_to('<i class="fa fa-pause"></i> Pause', 'adlisting/pause?id='.$listing->get('id'), array(
        'class' => 'reveal-confirm',
        'reveal-message' => $message,
        'reveal-button-title' => 'Pause Ad',
        'reveal-confirm-title' => 'Pause Ad '.$listing->getId()
    ));
}

function link_to_delete($listing)
{
    $message = sprintf(
        'Are you sure you want to remove Ad %s?<br/> You will not be able to undo this action.',
        $listing->get('id')
    );
    $title = 'Remove listing';

    return link_to('<i class="fa fa-trash-o"></i> Delete', 'adlisting/delete?id='.$listing->get('id'), array(
        'class' => 'reveal-confirm',
        'reveal-message' => $message,
        'reveal-button-title' => $title,
        'reveal-confirm-title' => 'Remove Ad '.$listing->getId()
    ));
}


function link_to_copy($listing)
{
    return link_to('<i class="fa fa-files-o"></i> Copy', 'adlisting/copy?id='.$listing->getId());
}

function link_to_edit($listing)
{
    return link_to('<i class="fa fa-pencil-square-o"></i> Edit', 'adlisting/edit?id='.$listing->getId());
}

function link_to_relist($listing)
{
    return link_to('<i class="fa fa-circle-o"></i> List again', 'adlisting/edit?id='.$listing->getId());
}

function link_to_stats($listing)
{
    return link_to('<i class="fa fa-bar-chart"></i> Statistics', 'adlisting/stats?id='.$listing->getId());
}
