<?php

function tooltip($id, $position = 'tip-top')
{
    $lang = sfContext::getInstance()->getUser()->getCulture() == 'fr_CA' ? 'fr' : 'en';
    $tooltip  = sfConfig::get('tc_tooltips_'.$lang.'_'.$id);

    if (!$tooltip) {
        return;
    }

    if (sfConfig::get('sf_app') == 'frontend') {
        $template = '<i
            class="fui-info-circle %s"
            data-toggle="tooltip"
            data-tooltip-style="light"
            title=""
            data-original-title="%s"></i>';

    } else {
        $template = ' <sup class="has-tip %s" data-width="210" title="%s">'.
                        '<i class="fa fa-info-circle"></i>'.
                    '</sup>';
    }


    return sprintf($template, $position, $tooltip);
}
