<?php

class transfercarUpgradenotificationsTask extends sfBaseTask
{
  protected function configure()
  {
    $this->namespace        = 'transfercar';
    $this->name             = 'upgrade-notifications';
    $this->briefDescription = '';
    $this->detailedDescription = <<<EOF
The [transfercar:upgrade-notifications|INFO] task does things.
Call it with:

  [php symfony transfercar:upgrade-notifications|INFO]
EOF;
    $this->addArgument('application', sfCommandArgument::REQUIRED, 'The application name');
    // add other arguments here
    $this->addOption('env', null, sfCommandOption::PARAMETER_REQUIRED, 'The environment', 'dev');
    $this->addOption('connection', null, sfCommandOption::PARAMETER_REQUIRED, 'The connection name', 'doctrine');
    // add other options here
  }

  protected function execute($arguments = array(), $options = array())
  {
    // Database initialization
    $databaseManager = new sfDatabaseManager($this->configuration);

    //

    $query = 'INSERT into notification_user (user_id, created_at, updated_at) SELECT distinct u.id, now(), now() from user u inner join notify_route nr on u.id=nr.user_id';

    $conn = $databaseManager->getDatabase($options['connection'])->getConnection();

    $conn->exec($query);

    $query = 'ALTER TABLE notify_route DROP FOREIGN KEY notify_route_ibfk_1';
    $conn->exec($query);

    $query = 'UPDATE notify_route nr set nr.user_id=(select nu.id from notification_user nu where nr.user_id=nu.user_id)';
    $conn->exec($query);
  }
}