<?php

class transfercarUslocationsTask extends sfPropelBaseTask
{
  protected function configure()
  {
    $this->namespace        = 'transfercar';
    $this->name             = 'us-locations';
    $this->briefDescription = '';
    $this->detailedDescription = <<<EOF
The [transfercar:us-locations|INFO] task does things.
Call it with:

  [php symfony transfercar:us-locations|INFO]
EOF;
    $this->addArgument('application', sfCommandArgument::REQUIRED, 'The application name');
    $this->addArgument('file', sfCommandArgument::REQUIRED, 'The file name');
    // add other arguments here
    $this->addOption('env', null, sfCommandOption::PARAMETER_REQUIRED, 'The environment', 'dev');
    $this->addOption('connection', null, sfCommandOption::PARAMETER_REQUIRED, 'The connection name', 'doctrine');
    // add other options here
  }

  protected function execute($arguments = array(), $options = array())
  {
    // Database initialization
    $databaseManager = new sfDatabaseManager($this->configuration);

    $file = fopen($arguments['file'], 'rb');
    $headers = fgetcsv($file, null, ',');
    $sql = [];

    $i = 0;

    while(($data = fgetcsv($file)) !== false)
    {
      if ($data[0])
      {
        $category = $data[0];
        $sql[] = 'SELECT @id:=id from location_category where description = "'.$data[0].'" and country_id=3;';
      }

      if ($data[5] == 'yes')
      {
        continue;
      }

      $name = $data[2];
      $lat  = $data[3];
      $long = $data[4];

      $sql[] = sprintf('INSERT INTO locations (category_id, name, lat, lon) VALUES (@id, "%s", %s, %s);', $name, $lat, $long);

      if ($i++ % 50) {
        echo implode("\n", $sql), "\n";
        $sql = [];
      }
    }

    fclose($file);

    echo implode("\n", $sql), "\n";
  }
}