<?php

class tcBasicSecurityUser extends sfBasicSecurityUser
{
    public static function setUserDomain(sfEvent $event)
    {
        $user = $event->getSubject()->getUser();

        if (!$country_domain = $user->getAttribute('domain'))
        {
            $country_domain = isset($_SERVER['TRANSFER_CAR_COUNTRY']) ? $_SERVER['TRANSFER_CAR_COUNTRY'] : 'nz';
            $user->setAttribute('domain', $country_domain);
        }

        if (!$user->getAttribute('country'))
        {
            switch ($country_domain) {
                default:
                case 'nz':
                    $country = 1;
                    break;
                case 'au':
                    $country = 2;
                    break;
                case 'us':
                    $country = 3;
                    break;
            }

            $user->setAttribute('country', $country);
        }
    }
}