<?php
/**
 * Small workaround for sfValidatorSchemaCompare for work with sfValidatorAnd
 * 
 * @package transfercar
 * @subpackage form 
 */
class myValidatorSchemaCompareInListing extends sfValidatorSchemaCompare
{
    protected function doClean($value)
    {
        $request = sfContext::getInstance()->getRequest();
        
        try{
            parent::doClean($request->getParameter('listing'));
        } catch(sfValidatorError $error){ // $error = 'field_name [error_message]'
            throw new sfValidatorError($this, 'invalid', array('value' => $value));
        }
        
        return $value;
    }
}
?>