<?php
/**
 * Validate addon list
 */
class sfValidatorAddonList extends sfValidatorBase
{
    public function configure($options = array(), $messages = array())
    {
        $this->addMessage('invalid', 'Addon list has some invalid values');
    }
    
    /*
     * All required data will be taken from request parameter "login[]"
     */
    public function doClean($values)
    {
      foreach($values as $i => &$addon) {
        if(is_numeric($i)) {
          if(empty($addon['name']))continue;
          if (!isset($addon['price']) || !is_numeric($addon['price']))
            throw new sfValidatorError($this, 'invalid');
          $addon['title'] = $values['title'];
        }
      }
      unset($values['title']);
      return $values;
    }
}
?>