<?php

class tcWidgetFormOwnerContacts extends sfWidgetFormDoctrineSelectMany
{
    protected function configure($options = array(), $attributes = array())
    {
        parent::configure($options, $attributes);
        $this->addRequiredOption('user');
        $this->addRequiredOption('country');
    }

    public function getChoices()
    {
      $objects = Doctrine::getTable('OwnerContact')
              ->createQuery('a')
              ->innerJoin('a.Countries c')
              ->addWhere('a.owner_id = ?', $this->getOption('user')->getOwnerId())
              ->addWhere('c.id = ?', $this->getOption('country'))
              ->execute();

      $choices = array();
      foreach ($objects as $object)
      {
        $choices[current($object->getPrimaryKey())] = $object->get('name');
      }

      return $choices;
    }
}