<?php $isBooked = $listing->isBookedBy($sf_user->getId()) ?>
<?php $request = $isBooked ? $listing->getAcceptedRequest() : null ?>
<?php use_helper('Transfercar', 'Date') ?>
<div class="row">
    <div class="col-md-6">
        <table class="table tables-tc">

            <tr>
                <th class="five">Earliest pickup date</th>
                <td><?php echo ($listing->get('date_available_from') !== null && $listing->get('date_available_from') !== '') ? tc_format_date($listing->get('date_available_from')) : '' ?></td>
            </tr>
            <?php if ($listing->get('pickup_time')): ?>
                <tr>
                    <th>Pickup time</th>
                    <td>
                        <?php echo tc_format_date(default_text($listing->get('pickup_time'), 32400), 'hours') ?>
                        -
                        <?php echo tc_format_date(default_text($listing->get('latest_pickup_time'), 59420), 'hours') ?>
                    </td>
                </tr>
            <?php endif ?>

            <tr>
                <th>Latest dropoff date</th>
                <td><?php echo ($listing->get('date_return_by') !== null && $listing->get('date_return_by') !== '') ? tc_format_date($listing->get('date_return_by')) : '' ?></td>
            </tr>
            <?php if ($listing->get('dropoff_time')): ?>
                <tr>
                    <th>Dropoff time</th>
                    <td>
                        <?php echo tc_format_date(default_text($listing->get('dropoff_time'), 32400), 'hours') ?>
                        -
                        <?php echo tc_format_date(default_text($listing->get('latest_dropoff_time'), 59420), 'hours') ?>
                    </td>
                </tr>
            <?php endif ?>
        </table>
    </div>
    <div class="col-md-6">
        <?php include_partial('listing/19_driver_included', array(
            'isBooked' => $isBooked,
            'listing'  => $listing,
            'request'  => $request
        )) ?>
    </div>
</div>
