<?php use_helper('Date') ?>
<?php use_stylesheet('rating.css') ?>
<h3>About the rental operator</h3>
<table class="table tables-tc text-left">
    <?php if ($isBooked): ?>
        <tr>
            <th class="text-left">Company name</th>
            <td class="text-right">
                <?php echo
                        $listing->get('Owner')->get('company');
                ?>
            </td>
        </tr>
    <?php else: ?>
        <?php if ($listing->get('Owner')->getAverageRating()): ?>
            <?php $rating = floor($listing->get('Owner')->getAverageRating()) ?>
            <tr>
                <td colspan="2" class="text-left">
                    <div class="rating-static mbm">
                        <?php for ($i = 4; $i > $rating; $i--): ?>
                            <div class="rating-star-static fui-star-2"><?php echo $i ?></div>
                        <?php endfor ?>

                        <?php for ($i = $rating; $i >= 0 ; $i--): ?>
                            <div class="rating-star-static active fui-star-2"><?php echo $i ?></div>
                        <?php endfor ?>
                    </div>
                </td>
            </tr>
        <?php endif ?>
        <tr>
            <th class="text-left">Response rate</th>
            <td class="text-right">
                <?php printf('%0.02f%%', $listing->get('Owner')->get('response_rate') * 100) ?>
            </td>
        </tr>
        <tr>
            <th class="text-left">Response time</th>
            <td class="text-right">
                <?php echo format_estimated_response_time($listing->get('Owner')->get('average_response_time')) ?>
            </td>
        </tr>
        <tr>
            <th class="text-left">Last login date</th>
            <td class="text-right"><?php echo tc_format_date($listing->get('Owner')->get('last_login')) ?></td>
        </tr>
    <?php endif ?>
</table>
