<h3>Request details</h3>
<table class="twelve">
    <tr>
        <th class="three">TCID</th>
        <td><?php echo $request->getIncrementedId() ?></td>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <th>Request date</th>
        <td>
            <?php echo tc_format_date($request->get('created_at')) ?>
            <?php echo tc_format_date($request->get('created_at'), 'hours') ?>
        </td>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <th>Request status</th>
        <td colspan="2"><?php echo $request->getStatusName() ?></td>
    </tr>
    <tr>
        <th>No. of free days</th>
        <td colspan="2"><?php echo $request->get('nb_free_days') ?></td>
    </tr>
    <tr>
        <th>No. of paid days</th>
        <td colspan="2"><?php echo $request->get('nb_paid_days') ?></td>
    </tr>
    <tr>
        <td>&nbsp;</td>
        <th>Pickup</th>
        <th>Dropoff</th>
    </tr>
    <tr>
        <th>Location</th>
        <td><?php echo $request->get('Listing')->getPickupLocation() ?></td>
        <td><?php echo $request->get('Listing')->getDropoffLocation() ?></td>
    </tr>
    <tr>
        <th>Date</th>
        <td><?php echo tc_format_date($request->get('pickup_date')) ?></td>
        <td><?php echo tc_format_date($request->get('drop_off_date')) ?></td>
    </tr>
    <tr>
        <th>Time</th>
        <td>
            <?php echo tc_format_date(default_text($listing->get('pickup_time'), 32400), 'hours') ?>
            -
            <?php echo tc_format_date(default_text($listing->get('latest_pickup_time'), 59420), 'hours') ?>
        </td>
        <td>
            <?php echo tc_format_date(default_text($listing->get('dropoff_time'), 32400), 'hours') ?>
            -
            <?php echo tc_format_date(default_text($listing->get('latest_dropoff_time'), 59420), 'hours') ?>
        </td>
    </tr>
</table>