<?php

namespace Transfercar\Event;

use sfEventDispatcher;

class tcEvents
{
    public static function connect(sfEventDispatcher $dispatcher)
    {
        $dispatcher->connect('ro.listing.created', array('\Transfercar\Event\ListingEvents', 'listenToListingCreated'));
        $dispatcher->connect('ro.listing.updated', array('\Transfercar\Event\ListingEvents', 'listenToListingUpdated'));
        $dispatcher->connect('driver.logged_in', array('\Transfercar\Event\MixpanelEvent', 'listenToDriverLoggedIn'));
        $dispatcher->connect('manager.logged_in', array('\Transfercar\Event\MixpanelEvent', 'listenToManagerLoggedIn'));
        $dispatcher->connect('context.load_factories', array('tcBasicSecurityUser', 'setUserDomain'));
        $dispatcher->connect('cms_menu.updated', array('\Transfercar\Event\CMSMenuCacheManager', 'clearCache'));
        $dispatcher->connect('review.created', array('\Transfercar\Event\RelocationReviewEvent', 'listenToReviewCreated'));
        $dispatcher->connect('review.replied', array('\Transfercar\Event\RelocationReviewEvent', 'listenToReviewReplied'));
        $dispatcher->connect('review.reported', array('\Transfercar\Event\RelocationReviewEvent', 'listenToReviewReported'));
    }
}
