<?php

namespace Transfercar\Search;

use AdListing;
use Listing;

class tcListingResult
{
    private $data,
            $endOfListings;

    public function __construct($data, $endOfListings = false)
    {
        $this->data = $data;
        $this->endOfListings = $endOfListings;
    }

    public function isSponsoredAd()
    {
        return $this->data instanceof AdListing;
    }

    public function isListing()
    {
        return $this->data instanceof Listing;
    }

    public function isAtEndOfListings()
    {
        return $this->endOfListings;
    }

    public function getData()
    {
        return $this->data;
    }

    public function __call($method, $args)
    {
        return call_user_func_array(array($this->data, $method), $args);
    }
}