<?php

namespace Transfercar\User;

use Doctrine;

class TcAdminUser extends TcBasicSecurityUser
{
    public function getProfile()
    {
        return Doctrine::getTable('AdminUser')->findOneByUsername($this->getAttribute('username'));
    }

    public function getUserDomain()
    {
        return 'nz';
    }


    public function pushFlash($name, $value)
    {
      if (!($values = $this->getFlash($name)))
      {
        $values = array();
      }

      $values[] = $value;

      return $this->setFlash($name, $values);
    }
}
